package cn.kdan.cloud.pdf.office.website.controller;

import cn.kdan.cloud.pdf.office.api.payment.vo.SubscriptionSchemeVO;
import cn.kdan.cloud.pdf.office.api.product.enums.PlatformEnum;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.website.service.PaymentService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDateTime;

/**
 * @author ComPDFKit-WPH 2023/2/9
 * <p>
 * PDF OFFICE app端 Controller
 */
@RestController
@RequestMapping("/pdf/office/app")
@RequiredArgsConstructor
public class PdfOfficeAppController {

    private final PaymentService paymentService;

    /**
     * 获取订单记录
     *
     * @param platform platform
     * @return ResultMap
     */
    @GetMapping("/getOrderRecord")
    public ResultMap<SubscriptionSchemeVO> getOrderRecord(@RequestParam Integer platform) {
        return paymentService.getSubscriptionSchemeInfo(platform);
    }

    /**
     * 获取订阅结束时间
     *
     * @param platform 平台
     * @return LocalDateTime
     */
    @GetMapping("/getEndDate")
    public ResultMap<LocalDateTime> getEndDate(@RequestParam Integer platform) {
        return ResultMap.success(paymentService.getSubscriptionEndDate(platform));
    }


}
